#include <inttypes.h>
#include <stdio.h>
#include <x264.h>

int main()
{
    const x264_level_t *l;
    for( l = x264_levels; l->level_idc != 0; l++ )
    {
        printf( "%2d %6d %5d %8d %6d %6d %3d %2d %2d %d %d %d\n",
                l->level_idc,
                l->mbps,
                l->frame_size,
                l->dpb,
                l->bitrate,
                l->cpb,
                l->mv_range,
                l->mvs_per_2mb,
                l->slice_rate,
                l->bipred8x8,
                l->direct8x8,
                l->frame_only );
    }
    return 0;
}
